Skip to content
vocapable.Docs

Turn weekly coaching on or off

PUT
/v1/mobile/workspace/call-coaching/settings
curl --request PUT \
--url https://api.vocapable.com/v1/mobile/workspace/call-coaching/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "coaching_enabled": true, "expected_revision": 1 }'
Media typeapplication/json
WorkspaceCoachingSettingsUpdate
object
coaching_enabled
required
Coaching Enabled
boolean
expected_revision
required
Expected Revision
integer
Examplegenerated
{
"coaching_enabled": true,
"expected_revision": 1
}

Successful Response

Media typeapplication/json
WorkspaceCoachingSettings
object
coaching_enabled
required
Coaching Enabled
boolean
revision
required
Revision
integer
Examplegenerated
{
"coaching_enabled": true,
"revision": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}